Subject: [bug#34612] Add sqlitebrowser

From: swedebugia <[email-masked]>
Date: Sat, 23 Feb 2019 07:00:48 +0100

On 2019-02-23 10:14, swedebugia wrote:
> [email-masked] skrev: (22 februari 2019 09:50:27 CET)
> 
>     Sqlitebrowser is a QT-based graphical browser for Sqlite databases. https://sqlitebrowser.org/
> 
>     This is the license:
> 
>     https://github.com/sqlitebrowser/sqlitebrowser/blob/master/LICENSE
> 
>         DB Browser for SQLite is bi-licensed under the Mozilla Public
>         License
> 
>     Version 2, as well as the GNU General Public License Version 3 or later.
> 
> 
> I think the description sounds more like an editor. I suggest the
> following "Sqlitebrowser is an editor..." for the synopsis.
> Replace the DB... name in the description with Sqlitebrowser.
> -- 
> Sent from my k-9 mail for Android.

I now tested building it and it seems to work fine.

I combed through the source and found this:

* libtiff
* webp

Is referenced in the cmake file but seems to be missing from inputs.

I found 4 bundled libraries:
in libs:
qscintilla (with 4 patches, could you investigate if our qscintilla has
these applied?)
antlr2 (seems equal to ours)

+2 small ones.

We have the 2 first in guix. Could you unbundle them if possible?

Please also document in the license field the various licenses of the
still bundled libs (qhexedit & qcustomplot) and add a comment in inputs
about them being bundled. (this helps us when somebody later on greppes
for them and find that they are bundled in x packages already and
decides to unbundle them all perhaps.

-- 
Cheers Swedebugia